# Generated by Django 3.2.13 on 2022-11-22 15:11

from django.db import migrations, models
import django.db.models.deletion
import taggit.managers


class Migration(migrations.Migration):

    dependencies = [
        ("lib", "0001_initial"),
        ("workflow", "0022_auto_20221117_2130"),
    ]

    operations = [
        migrations.CreateModel(
            name="TaggedTask",
            fields=[
                (
                    "id",
                    models.BigAutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "content_object",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        to="workflow.checklisttask",
                    ),
                ),
                (
                    "tag",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="workflow_taggedtask_items",
                        to="lib.tag",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
        migrations.AddField(
            model_name="checklisttask",
            name="tags",
            field=taggit.managers.TaggableManager(
                blank=True,
                help_text="Only team members who have these tags will get this task on a recurrence-generated run.",
                through="workflow.TaggedTask",
                to="lib.Tag",
                verbose_name="Tags",
            ),
        ),
    ]
